'use client';
var jsxRuntime = require('react/jsx-runtime');
var material = require('@mui/material');
var react = require('react');
var DropDownClient = require('./DropDown-client-zibNGq-Y.js');

/**
 * DropDown的高階元件，通常用於選單的下拉式清單。
 *
 * 參考 [Material-UI Popper](https://mui.com/material-ui/react-popper/)
 */ const DropDownList = ({ list, onItemClick, renderItem, open: openOuter, onClose: onCloseOuter, children, listProps, ...props })=>{
    const [open, setOpen] = react.useState(false);
    const anchorRef = react.useRef(null);
    const element = react.Children.only(children);
    react.useEffect(()=>{
        if (openOuter === undefined) return;
        setOpen(openOuter);
    }, [
        openOuter
    ]);
    const handleClose = ()=>{
        if (onCloseOuter) onCloseOuter();
        setOpen(false);
    };
    return /*#__PURE__*/ jsxRuntime.jsxs(jsxRuntime.Fragment, {
        children: [
            /*#__PURE__*/ react.cloneElement(element, {
                ref: anchorRef,
                onClick: ()=>{
                    element.props.onClick?.();
                    setOpen(true);
                }
            }),
            /*#__PURE__*/ jsxRuntime.jsx(DropDownClient.DropDown, {
                open: open,
                onClose: handleClose,
                anchorRef: anchorRef,
                ...props,
                children: /*#__PURE__*/ jsxRuntime.jsx(material.List, {
                    ...listProps,
                    children: list.map((item)=>{
                        if (renderItem) return renderItem(item);
                        const label = typeof item === 'string' ? item : item.label;
                        return /*#__PURE__*/ jsxRuntime.jsx(material.ListItemButton, {
                            onClick: ()=>{
                                if (onItemClick) onItemClick(item);
                                handleClose();
                            },
                            children: label
                        }, label);
                    })
                })
            })
        ]
    });
};

exports.DropDownList = DropDownList;
