'use client';
var jsxRuntime = require('react/jsx-runtime');
var material = require('@mui/material');
var FileListClient = require('./FileList-client-DMxs_hve.js');
var UploadPanelClient = require('./UploadPanel-client-DU5UruFt.js');
var useFileUploadClient = require('./useFileUpload-client-B7Ze8ZTx.js');

const UploadFile = (props)=>{
    const { acceptMimeTypes = [], maxFiles = 1, files: outerFiles, onAddFile, onRemoveFile, onTypeError, i18n, ...rest } = props;
    const { files, addFile, removeFile } = useFileUploadClient.useFileUpload({
        files: outerFiles,
        onAddFile,
        onRemoveFile
    });
    const handleAddFile = (e)=>{
        if (!e.target.files || e.target.files.length === 0) return;
        const targetFile = e.target.files[0];
        if (!FileListClient.validateFileType(targetFile, acceptMimeTypes)) {
            onTypeError?.();
            return;
        }
        addFile(targetFile);
    };
    const handleDropFile = (e)=>{
        if (!e.dataTransfer.files) return;
        const targetFile = e.dataTransfer.files[0];
        if (!FileListClient.validateFileType(targetFile, acceptMimeTypes)) {
            onTypeError?.();
            return;
        }
        addFile(targetFile);
    };
    return /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
        spacing: 2,
        ...rest,
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(UploadPanelClient.UploadPanel, {
                acceptMimeTypes: acceptMimeTypes,
                handleAddFile: handleAddFile,
                handleDropFile: handleDropFile,
                disabled: maxFiles <= files.length,
                i18n: i18n
            }),
            /*#__PURE__*/ jsxRuntime.jsx(FileListClient.FileList, {
                files: files,
                handleDeleteFile: removeFile
            })
        ]
    });
};

exports.UploadFile = UploadFile;
