'use client';
var jsxRuntime = require('react/jsx-runtime');
var iconsMaterial = require('@mui/icons-material');
var material = require('@mui/material');
var react = require('react');
var ButtonClient = require('./Button-client-BXpe6yJ-.js');
require('@mui/material/CircularProgress');
require('@mui/material/IconButton');

const VisuallyHiddenInput = material.styled('input')({
    clip: 'rect(0 0 0 0)',
    clipPath: 'inset(50%)',
    height: 1,
    overflow: 'hidden',
    position: 'absolute',
    bottom: 0,
    left: 0,
    whiteSpace: 'nowrap',
    width: 1
});
const UploadPanel = ({ acceptMimeTypes, handleAddFile, handleDropFile, disabled = false, i18n })=>{
    const [dragging, setDragging] = react.useState(false);
    const { main: mainText = ' Chose file or drag and drop here', sub: subText = '', button: buttonText = 'Chose file' } = i18n ?? {};
    return /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
        sx: {
            border: 1,
            borderStyle: 'dashed',
            borderRadius: 4,
            borderColor: dragging ? 'primary.main' : 'grey.400',
            width: '100%',
            p: 4,
            display: 'flex',
            flexDirection: 'column',
            alignItems: 'center',
            justifyContent: 'center',
            gap: 2
        },
        onDrop: (event)=>{
            event.preventDefault();
            setDragging(false);
            if (disabled) return;
            handleDropFile(event);
        },
        onDragEnter: (event)=>{
            event.preventDefault();
            setDragging(true);
        },
        onDragLeave: (event)=>{
            event.preventDefault();
            setDragging(false);
        },
        onDragOver: (event)=>{
            event.preventDefault();
            setDragging(true);
        },
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.CloudUploadOutlined, {
                color: "primary",
                sx: {
                    width: 50,
                    height: 50
                }
            }),
            /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
                children: [
                    /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                        sx: {
                            userSelect: 'none',
                            textAlign: 'center',
                            fontWeight: 'bold'
                        },
                        children: mainText
                    }),
                    subText && /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                        sx: {
                            userSelect: 'none',
                            textAlign: 'center'
                        },
                        color: "text.secondary",
                        children: subText
                    })
                ]
            }),
            /*#__PURE__*/ jsxRuntime.jsxs(ButtonClient.Button, {
                variant: "outlined",
                component: "label",
                disabled: disabled,
                children: [
                    buttonText,
                    /*#__PURE__*/ jsxRuntime.jsx(VisuallyHiddenInput, {
                        type: "file",
                        hidden: true,
                        onClick: (e)=>{
                            e.target.value = '';
                            e.stopPropagation();
                            if (disabled) {
                                e.preventDefault();
                            }
                        },
                        onChange: (e)=>{
                            if (disabled) return;
                            handleAddFile(e);
                        },
                        accept: acceptMimeTypes?.join(',')
                    })
                ]
            })
        ]
    });
};

exports.UploadPanel = UploadPanel;
