'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import { Box, Typography, Breadcrumbs } from '@mui/material';

/**
 * `Breadcrumb` 是一個導航元件，用於顯示當前系統層級結構中的路徑位置。
 */ const BreadCrumb = ({ routes = [] })=>/*#__PURE__*/ jsxs(Box, {
        children: [
            /*#__PURE__*/ jsx(Typography, {
                variant: "h4",
                sx: {
                    fontWeight: 'bold'
                },
                children: routes[routes.length - 1].label
            }),
            /*#__PURE__*/ jsx(Breadcrumbs, {
                children: routes.filter((_, index)=>index !== routes.length - 1).map((route)=>/*#__PURE__*/ jsx(Typography, {
                        variant: "subtitle1",
                        color: "text.secondary",
                        children: route.label
                    }, route.label))
            })
        ]
    });
if (process.env.NODE_ENV !== 'production') {
    BreadCrumb.displayName = 'GwBreadCrumb';
}

export { BreadCrumb as B };
