'use client';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { List, ListItemButton } from '@mui/material';
import { useState, useRef, Children, useEffect, cloneElement } from 'react';
import { D as DropDown } from './DropDown-client-QApf9y8Y.mjs';

/**
 * DropDown的高階元件，通常用於選單的下拉式清單。
 *
 * 參考 [Material-UI Popper](https://mui.com/material-ui/react-popper/)
 */ const DropDownList = ({ list, onItemClick, renderItem, open: openOuter, onClose: onCloseOuter, children, listProps, ...props })=>{
    const [open, setOpen] = useState(false);
    const anchorRef = useRef(null);
    const element = Children.only(children);
    useEffect(()=>{
        if (openOuter === undefined) return;
        setOpen(openOuter);
    }, [
        openOuter
    ]);
    const handleClose = ()=>{
        if (onCloseOuter) onCloseOuter();
        setOpen(false);
    };
    return /*#__PURE__*/ jsxs(Fragment, {
        children: [
            /*#__PURE__*/ cloneElement(element, {
                ref: anchorRef,
                onClick: ()=>{
                    element.props.onClick?.();
                    setOpen(true);
                }
            }),
            /*#__PURE__*/ jsx(DropDown, {
                open: open,
                onClose: handleClose,
                anchorRef: anchorRef,
                ...props,
                children: /*#__PURE__*/ jsx(List, {
                    ...listProps,
                    children: list.map((item)=>{
                        if (renderItem) return renderItem(item);
                        const label = typeof item === 'string' ? item : item.label;
                        return /*#__PURE__*/ jsx(ListItemButton, {
                            onClick: ()=>{
                                if (onItemClick) onItemClick(item);
                                handleClose();
                            },
                            children: label
                        }, label);
                    })
                })
            })
        ]
    });
};

export { DropDownList as D };
