'use client';
import { useSyncExternalStore } from 'react';

let state = {
    toastProps: {},
    alertProps: {},
    type: 'info',
    key: 0,
    open: false,
    message: ''
};
const listeners = new Set();
const getState = ()=>state;
const setToasterState = (newState)=>{
    state = {
        ...state,
        ...newState
    };
    listeners.forEach((listener)=>listener());
};
const useToastStore = ()=>useSyncExternalStore((listener)=>{
        listeners.add(listener);
        return ()=>listeners.delete(listener);
    }, getState, getState);

export { setToasterState as s, useToastStore as u };
